# Uses of Enum Class
org.snpeff.interval.BioType

Packages that use BioType
Package
Description
org.snpeff.interval
org.snpeff.snpEffect
org.snpeff.vcf

## Uses of BioType in org.snpeff.interval

Subclasses with type arguments of type BioType in org.snpeff.interval
Modifier and Type
Class
Description
`enum`
`BioType`
BioTypes: Gene or transcript bioType annotation References: http://www.ensembl.org/info/genome/genebuild/biotypes.html Biotypes classifies genes and transcripts into groups including: protein coding, pseudogene , processed pseudogene, miRNA, rRNA, scRNA, snoRNA, snRNA.
Methods in org.snpeff.interval that return BioType
Modifier and Type
Method
Description
`static BioType`
BioType.`coding(boolean isCoding)`
Basic bioTypes for coding / non-coding genes
`BioType`
GffMarker.`getBiotype()`
`BioType`
Gene.`getBioType()`
`BioType`
Transcript.`getBioType()`
`protected BioType`
GffMarker.`getBiotypeGeneric()`
`BioType`
GffMarker.`getGeneBiotype()`
`BioType`
GffMarker.`getTranscriptBiotype()`
`static BioType`
BioType.`parse(String str)`
Parse a BioType
`static BioType`
BioType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BioType[]`
BioType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.interval with parameters of type BioType
Modifier and Type
Method
Description
`void`
Gene.`setBioType(BioType bioType)`
`void`
Transcript.`setBioType(BioType bioType)`
Constructors in org.snpeff.interval with parameters of type BioType
Modifier
Constructor
Description
``
`Gene(Marker parent, int start, int end, boolean strandMinus, String id, String geneName, BioType bioType)`

## Uses of BioType in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return BioType
Modifier and Type
Method
Description
`BioType`
VariantEffect.`getBiotype()`
Get biotype

## Uses of BioType in org.snpeff.vcf

Methods in org.snpeff.vcf that return BioType
Modifier and Type
Method
Description
`BioType`
VcfEffect.`getBioType()`
Methods in org.snpeff.vcf with parameters of type BioType
Modifier and Type
Method
Description
`void`
VcfEffect.`setBioType(BioType bioType)`